To manage users and user groups with SCIM in your Miro Enterprise account you will need to enable the feature first by following these steps:
- Navigate to Settings > Enterprise Integrations page and enable SSO/SAML feature.
- Now you can enable the SCIM feature which will provide you with the Base URL and API Token to configure your identity provider.
- To ensure that everything is working as expected you can make the following request:
GET: <https://miro.com/api/v1/scim/Users>
Request Headers:
Acceptapplication/scim+json
Content-Typeapplication/json
AuthorizationBearer + API Token from the previous step
Base URL and Authorization typeAs you can see from the previous example the base URL for SCIM API is https://miro.com/api/v1/scim/.
The API token must be included in every call to SCIM via Authorization header with type Bearer
🚧 HTTPS protocolWe support HTTPS requests only. Requests to HTTP protocol are redirected to HTTPS - please note that this redirection response can be handled incorrectly by certain tools.
curl -H "Accept: application/json" -H "Content-Type: application/json" -H "Authorization: Bearer <token>" https://miro.com/api/v1/scim/UsersGenerate new token
- Go to the Company settings > Enterprise integrations.
- In the SCIM Provisioning section, click Generate new token.
- In the Generate new SCIM token window, click Generate.
- After generating a new token, you must configure the new token in your IDP provider.